
Redmine - Defect #7144

custom queries making use of deleted custom fields cause a 500 error

2010-12-21 09:30 - Gauthier Delamarre

Status: Closed Start date: 2010-12-21

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 1.0.5   

Resolution: Fixed Affected version: 1.0.4

Description

Quite simple to reproduce:

1) create a custom field

2) create a custom query including this custom field in its columns selection

3) delete the custom field

4) run your custom query

 As you cannot run it anymore, you also cannot delete it...

Associated revisions

Revision 4553 - 2010-12-21 22:46 - Jean-Philippe Lang

Fixed: 500 error on issue query grouped by a custom field that was deleted (#7144).

History

#1 - 2010-12-21 22:47 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 1.0.5

- Resolution set to Fixed

After digging around (stack trace would be appreciated, see SubmittingBugs), I got a 505 error when the custom field was used to group the query

results. Having it in the selected columns doesn't produce any error.

The problem that I was able to find is fixed in r4553.

#2 - 2010-12-23 11:00 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.0-stable.
